import { CommentsByFile } from '../interfaces/CommentsByFile';
import { PrDiff } from '../interfaces/PrDiff';
export default class AzureDevOps {
    private authorizationToken;
    private organizationName;
    private orgUrl;
    private connection;
    constructor(authorizationToken: string, organizationName: string);
    getPrUrl(prId: number, projectName: string): Promise<string>;
    fetchPrComments(projectName: string, repoName: string, prId: number): Promise<CommentsByFile[]>;
    postPrComment(projectName: string, repoName: string, prId: number, commentsPerFiles: CommentsByFile[]): Promise<any>;
    sendRequestPostPRComments(repoName: string, prId: number, projectName: string, commentsPerFile: CommentsByFile): Promise<any[]>;
    getPrDiff(projectName: string, prId: number, gitFolderPath?: string): Promise<PrDiff[]>;
}
