import { AnyJson } from '@salesforce/ts-types';
import { CommentsByFile } from '../interfaces/CommentsByFile';
import { PrDiff } from '../interfaces/PrDiff';
export default class BitbucketDevOps {
    static BITBUCKET_API_URL: string;
    static BITBUCKET_WEBAPP_URL: string;
    private PAGELENGTH;
    private username;
    private password;
    private workspaceName;
    private baseUrl;
    constructor(username: string, password: string, workspaceName: string);
    fetchPrComments(repoSlugName: string, prId: number): Promise<CommentsByFile[]>;
    postPrComment(repoSlugName: string, prId: number, commentsPerFiles: CommentsByFile[]): Promise<any>;
    sendRequestPostPRComments(repoName: string, prId: number, body: AnyJson): Promise<any>;
    getPrDiff(repoName: string, prId: number, gitFolderPath?: string): Promise<PrDiff[]>;
}
