import { LoggerLevel } from '@salesforce/core';
import { ScannerResult } from '../interfaces/ScannerResult';
import { CommentsByFile } from '../interfaces/CommentsByFile';
import { Violation } from '../interfaces/Violation';
import { PrDiff } from '../interfaces/PrDiff';
export declare enum MessageType {
    Info = 0,
    Debug = 1,
    Success = 2,
    Warn = 3,
    Error = 4
}
export declare function getCommentBody(violation: Violation): string;
export declare function parseScannerOutput(scannerResults: ScannerResult[], diffFolderName: string): CommentsByFile[];
export declare function filterToNewCommentsToPost(CodeReviewCommentsByFilesToPost: CommentsByFile[], existingCommentsByFiles: CommentsByFile[]): CommentsByFile[];
export declare function getCodeReviewFromFile(filename: string): ScannerResult[];
export declare function printMessage(message: string, messageType: MessageType, loggerLevel: LoggerLevel): void;
export declare function filterCommentsToDiff(diffFilesLinesadded: PrDiff[], newCommentsByFilesToPost: CommentsByFile[]): CommentsByFile[];
export declare function parseDiff(gitFolderPath: string, destinationBranchName: string, sourceBranchName: string): Promise<PrDiff[]>;
export declare function removeRefHeadFromBranchName(branchRefName: string): string;
